﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=6.51
@EndOfDesignText@
Sub Class_Globals
	Private fx As JFX
	Private UForm As Form
	Private cpB4a As ColorPicker
	Private cpB4r As ColorPicker
	Private cpB4i As ColorPicker
	Private cpB4j As ColorPicker
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	UForm.Initialize("UForm",400,280)
	UForm.RootPane.LoadLayout("UserOptions")
	UForm.Icon = fx.LoadImage(File.DirAssets,"PO.png")
	UForm.AlwaysOnTop = True
	UForm.Resizable = False
End Sub

Public Sub Show
	UForm.Show
	cpB4a.SelectedColor = fx.Colors.From32Bit(UserOptions_Static.GetUserOption("colorb4a"))
	cpB4j.SelectedColor = fx.Colors.From32Bit(UserOptions_Static.GetUserOption("colorb4j"))
	cpB4i.SelectedColor = fx.Colors.From32Bit(UserOptions_Static.GetUserOption("colorb4i"))
	cpB4r.SelectedColor = fx.Colors.From32Bit(UserOptions_Static.GetUserOption("colorb4r"))
End Sub

Public Sub Hide
	UForm.Close
End Sub

Sub cpB4j_ValueChanged (Value As Paint)
	UserOptions_Static.PutUserOption("colorb4j",fx.Colors.To32Bit(Value))
End Sub

Sub cpB4i_ValueChanged (Value As Paint)
	UserOptions_Static.PutUserOption("colorb4i",fx.Colors.To32Bit(Value))
End Sub

Sub cpB4r_ValueChanged (Value As Paint)
	UserOptions_Static.PutUserOption("colorb4r",fx.Colors.To32Bit(Value))
End Sub

Sub cpB4a_ValueChanged (Value As Paint)
	UserOptions_Static.PutUserOption("colorb4a",fx.Colors.To32Bit(Value))
End Sub

Sub btnDone_Click
	Hide
End Sub