﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=6.51
@EndOfDesignText@
'Static code module
Sub Process_Globals
	Private fx As JFX
	Private UserOpts As Map
End Sub

Public Sub LoadUserOptions
	UserOpts = DBAccess.KVS.GetDefault("UserOptions",CreateMap())
	If UserOpts.ContainsKey("colorb4a") = False Then
		UserOpts.Put("colorb4a",0x3F47E7EA)
		UserOpts.Put("colorb4j",0x3FDD63D2)
		UserOpts.Put("colorb4i",0x3FCDCDCD)
		UserOpts.Put("colorb4r",0x3F5C6FD2)
	End If
End Sub

Public Sub SaveUserOptions
	DBAccess.KVS.Put("UserOptions",UserOpts)
End Sub

Public Sub GetPathToGitGui As String
	Return UserOpts.GetDefault("PathToGitGui","")
End Sub

Public Sub SetPathToGitGui(Path As String)
	UserOpts.Put("PathToGitGui",Path)
End Sub

Public Sub SaveFormMetrics(F As Form)
	If F.Title = "Form" Then
		Log(AppStatic.AppName & " Cannot set for metrics for a form with an unmodified title")
		Return
	End If
	DBAccess.KVS.Put("FormPos" & F.Title & "Left",F.WindowLeft)
	DBAccess.KVS.Put("FormPos" & F.Title & "Top",F.WindowTop)
	DBAccess.KVS.Put("FormPos" & F.Title & "Width",F.WindowWidth)
	DBAccess.KVS.Put("FormPos" & F.Title & "Height",F.WindowHeight)
End Sub

Public Sub SetFormMetrics(F As Form)
	If DBAccess.KVS.ContainsKey("FormPos" & F.Title & "Left") Then
		F.WindowLeft = DBAccess.KVS.Get("FormPos" & F.Title & "Left")
		F.WindowTop = DBAccess.KVS.Get("FormPos" & F.Title & "Top")
		F.WindowWidth = DBAccess.KVS.Get("FormPos" & F.Title & "Width")
		F.WindowHeight = DBAccess.KVS.Get("FormPos" & F.Title & "Height")
	End If
End Sub

Public Sub PutUserOption(Key As String, OptData As Object)
	UserOpts.Put(Key,OptData)
End Sub
Public Sub GetUserOption(Key As String) As Object
	Return UserOpts.Get(Key)
End Sub

Public Sub GetUserOptionDefault(Key As String, Default As Object) As Object
	Return UserOpts.GetDefault(Key,Default)
End Sub