﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=6.51
@EndOfDesignText@
#IgnoreWarnings:12
'Class Module
Sub Class_Globals
	'Private fx As JFX ' Uncomment if required. For B4j only
#If Git
	Private TJO As JavaObject
	#End if
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize

End Sub
#If Git
'Constructor for Status.
Public Sub Create(Diff As JavaObject)
	TJO.InitializeNewInstance("org.eclipse.jgit.api.Status",Array As Object(Diff))
End Sub

'Returns the wrapped object as JavaObject
Public Sub AsJavaObject As JavaObject
	Return TJO
End Sub
'Get files added to the index
Public Sub GetAdded As List
	Return SetToList(TJO.RunMethod("getAdded",Null))
End Sub
'Get changed files from HEAD to index
Public Sub GetChanged As List
	Return SetToList(TJO.RunMethod("getChanged",Null))
End Sub
'Get modified files relative to the index
Public Sub GetModified As List
	Return SetToList(TJO.RunMethod("getModified",Null))
End Sub
'Returns the wrapped object as Object
Public Sub GetObject As Object
	Return TJO
End Sub
'Get removed files
Public Sub GetRemoved As List
	Return SetToList(TJO.RunMethod("getRemoved",Null))
End Sub
'Get untracked files
Public Sub GetUntracked As List
	Return SetToList(TJO.RunMethod("getUntracked",Null))
End Sub
Private Sub SetToList(Set As JavaObject) As List
	Dim Arr() As Object =  Set.RunMethod("toArray",Null)
	Dim L As List
	L.Initialize
	For Each O As Object In Arr
		L.Add(O)
	Next
	Return L
End Sub

'Comment if not needed
'Set the underlying Object, must be of correct type
Public Sub SetObject(Obj As Object)
	TJO = Obj
End Sub

#End If